io_uring_cq_eventfd_toggle(3)

NAME
io_uring_cq_eventfd_toggle - toggle eventfd notifications on or off

SYNOPSIS
#include <liburing.h>

int io_uring_cq_eventfd_toggle(struct io_uring *ring, bool enabled);

DESCRIPTION

The io_uring_cq_eventfd_toggle(3) function toggles eventfd notifications for the io_uring instance specified by ring. If enabled is true, eventfd notifications are enabled. If enabled is false, they are disabled.

An eventfd must first be registered with the ring using io_uring_register_eventfd(3) or io_uring_register_eventfd_async(3) before this function can be used.

This can be useful when the application wants to temporarily stop receiving eventfd notifications, for example during a batch processing phase.

RETURN VALUE
Returns 0 on success. On error, a negative errno value is returned:

-EOPNOTSUPP
    The kernel does not support toggling eventfd notifications, or no eventfd is registered.

SEE ALSO
io_uring_register_eventfd(3), io_uring_register_eventfd_async(3), io_uring_cq_eventfd_enabled(3)